Package voltage.core

# Enum Class VoltageImage.AnimationMode

java.lang.Object
java.lang.Enum<VoltageImage.AnimationMode>
voltage.core.VoltageImage.AnimationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageImage.AnimationMode>`, `Constable`

Enclosing class:
  `VoltageImage`

public static enum VoltageImage.AnimationMode extends Enum<VoltageImage.AnimationMode>
The mode to animate such as forward, backwards, etc

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BackAndForth`
  Animate backwards and then forward
  `Backward`
  Animate backwards
  `Forward`
  Animate forward
  `ForwardAndBack`
  Animate forward and then backward

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageImage.AnimationMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageImage.AnimationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Forward

    public static final VoltageImage.AnimationMode Forward
    Animate forward

  - ### Backward

    public static final VoltageImage.AnimationMode Backward
    Animate backwards

  - ### ForwardAndBack

    public static final VoltageImage.AnimationMode ForwardAndBack
    Animate forward and then backward

  - ### BackAndForth

    public static final VoltageImage.AnimationMode BackAndForth
    Animate backwards and then forward

- ## Method Details

  - ### values

    public static VoltageImage.AnimationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageImage.AnimationMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null